[OPCODES]

MACS   	0x00
MACS1	0x01
MACW	0x02
MACW1	0x03
MACINTS	0x04
MACINTW	0x05
ACC3	0x06
MACMV	0x07
ANDXOR	0x08
TSTNEG	0x09
LIMIT	0x0A
LIMIT1	0x0B
LOG	0x0C
EXP	0x0D
INTERP	0x0E
SKIP	0x0F

[CONSTANTS]

C_0		0x40	//0x00000000
C_1		0x41	//0x00000001
C_2	 	0x42	//0x00000002
C_3	 	0x43	//0x00000003
C_4	 	0x44	//0x00000004	
C_8	 	0x45	//0x00000008
C_16	 	0x46	//0x00000010
C_32	 	0x47	//0x00000020
C_256	 	0x48	//0x00000100
C_65536  	0x49	//0x00010000
C_2^23 		0x4A	//0x00080000
C_2^28		0x4b	//0x10000000
C_2^29		0x4c	//0x20000000 C_max / 4 + 1 almost quarter
C_2^30		0x4d	//0x40000000 C_max / 2 + 1 almost half	
C_MIN		0x4e	//0x80000000 most negative number
C_MAX	 	0x4f	//0x7fffffff most positive number	
C_N1	 	0x50	//0xffffffff -1
C_N2	 	0x51	//0xfffffffe -2
C_N2^30		0x52	//0xc0000000 C_nmax / 2


C_SHIFT 	0x055	//to left shift an address by using macsints for fractional addresses

ACCUM		0x056	//accumulator
CCR		0x057	//condition code register
NOISE1		0x058	//noise source 1
NOISE2		0x059	//noise source 2
IRQREG		0x05A 	//set the MSB to generate a FX interrupt
DBAC		0x05B	//delay base address counter 

[PHISICAL]

FXBUS0   0x00 	// FX send bus (in windows APS gets data from "APS WaveOut")
FXBUS1   0x01	//
FXBUS2   0x02	// (in windows APS gets data from "APS Synth")
FXBUS3   0x03	//
FXBUS4   0x04	//
FXBUS5   0x05	//
FXBUS6   0x06	//
FXBUS7   0x07	//
FXBUS8   0x08	//
FXBUS9   0x09	//
FXBUSA   0x0A	//
FXBUSB   0x0B	//
FXBUSC   0x0C	//
FXBUSD   0x0D	//
FXBUSE   0x0E	//
FXBUSF   0x0F	//

IN0L   	0x010 	// Live from AC97, APS Analog In 1
IN0R   	0x011 	// Live from AC97, APS Analog In 2
IN1L   	0x012 	// Live CD SPDIF In, APS Digital In 1
IN1R   	0x013
IN2L   	0x014 	// APS Digital In 2
IN2R   	0x015 
IN3L   	0x016 	// APS CD SPDIF In
IN3R   	0x017 
IN4L   	0x018 	// APS Analog In 3, Live Drive Analog In 1
IN4R   	0x019 	// APS Analog In 4
IN5L  	0x01a 	// Live Drive Digital In 1
IN5R   	0x01b 
IN6L   	0x01c 	// Live Drive Analog In 2
IN6R   	0x01d 

OUT0L  	0x020 	// Live to AC97, APS Analog Out 1+2
OUT0R  	0x021 
OUT1L  	0x022 	// APS Digital Out 1 
OUT1R  	0x023 
OUT2L  	0x024 	// APS Analog Out 3+4 / Digital Out 2
OUT2R  	0x025 
OUT3L  	0x026 	// APS Analog Out 5+6 
OUT3R  	0x027 
OUT4L  	0x028 	// Live Rear Analog Out, APS Analog Out 7+8
OUT4R  	0x029 
OUT5L  	0x02a 	// ADC recording buffer (in windows APS sends data to "APS WaveIn")
OUT5R  	0x02b 
OUT6   	0x02c 	// Microphone recording buffer

// For APS Windows Drivers only
ASIOREC1	0x030	// sends data to "ASIO In 1 Record"
ASIOREC2	0x031
ASIOREC3	0x032
ASIOREC4	0x033
ASIOREC5	0x034
ASIOREC6	0x035
ASIOREC7	0x036
ASIOREC8	0x037

[OTHER]
// Not used yet
GP	0x100 to 0x200		// General Purpose Register
TD	0x0200 to 0x029F	// TRAM Data Register
TA	0x0300 to 0x039F	// TRAM Address Register
VR	0x1000 to 0x8FFF	// Virtual Register (in RIFX)
